
/**
 * Erzeuge Biene als Kombination von Grundformen
 */
public class Biene
{
    //Deklaration der notwendigunge Objekte zur Erzeugung einer Biene
    private Kreis kopf;
    private Kreis flgel1, flgel2;
    private Ellipse bauch;
    private Dreieck stachel;
    private Kreis auge;
    private Rechteck streifen1, streifen2;
    private Rechteck antenne1, antenne2;
    private Kreis fhler1, fhler2;
    

    /**
     * Konstruktor fr ein Bienen-Objekt
     */
    public Biene()
    {
        //initialisiere die Attribute
        flgel1 = new Kreis(40, 58, 30);
        flgel2 = new Kreis(75, 60, 30);
        bauch = new Ellipse(50, 100, 90, 75);
        kopf = new Kreis(120, 98, 30);
        stachel = new Dreieck(40,135, 10, 10);
        auge = new Kreis(150, 113, 8);
        streifen1 = new Rechteck(70, 104, 8, 65);
        streifen2 = new Rechteck(100, 103, 8, 68);
        antenne1 = new Rechteck(135, 70, 4, 35);
        antenne2 = new Rechteck(160, 70, 4, 35);
        fhler1 = new Kreis(132, 63, 6);
        fhler2 = new Kreis(157, 63, 6);
        
        kopf.setzeFarbe("schwarz");
        bauch.setzeFarbe("gelb");
        flgel1.setzeFarbe("weiss");
        flgel2.setzeFarbe("weiss");
        stachel.setzeFarbe("schwarz");
        auge.setzeFarbe("weiss");
        streifen1.setzeFarbe("schwarz");
        streifen2.setzeFarbe("schwarz");
        stachel.setzeAusrichtung("W");
        antenne1.setzeFarbe("schwarz");
        antenne2.setzeFarbe("schwarz");
        fhler1.setzeFarbe("rot");
        fhler2.setzeFarbe("rot");
        
        
    }

    /**
     * Verndere die Position der Objekte die die Biene bilden
     */
   public void verndereHorizontalePosition(int entfernung)
    {
        //nach rechts bewegen
         if (entfernung >0){   
        int i=0;
         while(i<entfernung)
        {
            kopf.horizontalBewegen(6);
            bauch.horizontalBewegen(6);
            flgel1.horizontalBewegen(6);
            flgel2.horizontalBewegen(6);
            stachel.horizontalBewegen(6);
            antenne1.horizontalBewegen(6);
            antenne2.horizontalBewegen(6);
            fhler1.horizontalBewegen(6);
            fhler2.horizontalBewegen(6);
            auge.horizontalBewegen(6);
            streifen1.horizontalBewegen(6);
            streifen2.horizontalBewegen(6);
            i = i+6;
        }
        }
        //nach links bewegen
         else {
           int i=0;
        while(i>entfernung)
        {
            kopf.horizontalBewegen(-6);
            bauch.horizontalBewegen(-6);
            flgel1.horizontalBewegen(-6);
            flgel2.horizontalBewegen(-6);
            stachel.horizontalBewegen(-6);
            antenne1.horizontalBewegen(-6);
            antenne2.horizontalBewegen(-6);
            fhler1.horizontalBewegen(-6);
            fhler2.horizontalBewegen(-6);
            auge.horizontalBewegen(-6);
            streifen1.horizontalBewegen(-6);
            streifen2.horizontalBewegen(-6);
            i = i-6;
        }           
           
        }
    }
    
    public void verndereVertikalePosition(int entfernung)
    {
        //nach unten bewegen
        if (entfernung >0){   
        int i=0;
        while(i<entfernung)
        {
            kopf.vertikalBewegen(6);
            bauch.vertikalBewegen(6);
            flgel1.vertikalBewegen(6);
            flgel2.vertikalBewegen(6);
            stachel.vertikalBewegen(6);
            antenne1.vertikalBewegen(6);
            antenne2.vertikalBewegen(6);
            fhler1.vertikalBewegen(6);
            fhler2.vertikalBewegen(6);
            auge.vertikalBewegen(6);
            streifen1.vertikalBewegen(6);
            streifen2.vertikalBewegen(6);
            i = i+6;
        }
       }
       //nach oben bewegen
       else {
           int i=0;
        while(i>entfernung)
        {
            kopf.vertikalBewegen(-6);
            bauch.vertikalBewegen(-6);
            flgel1.vertikalBewegen(-6);
            flgel2.vertikalBewegen(-6);
            stachel.vertikalBewegen(-6);
            antenne1.vertikalBewegen(-6);
            antenne2.vertikalBewegen(-6);
            fhler1.vertikalBewegen(-6);
            fhler2.vertikalBewegen(-6);
            auge.vertikalBewegen(-6);
            streifen1.vertikalBewegen(-6);
            streifen2.vertikalBewegen(-6);
            i = i-6;
        }           
           
        }
    }
    
    public void bewegeZuPosition(int xPos, int yPos){
        verndereHorizontalePosition(xPos-bauch.gibXposition());
        verndereVertikalePosition(yPos-bauch.gibYposition());
    }
}
