
/**
 * Schwarzes Spielfeld.
 * 
 * @author (Brady Goulet, Jan Böckler, Luis Nutz, Dennis Schweiger) 
 * @version (1.0)
 */
public class Spielfeldbegrenzung
{
    // Instanzvariablen - ersetzen Sie das folgende Beispiel mit Ihren Variablen
    private Rechteck rechteck1;
    private Rechteck rechteck2;
    private ZEICHENFENSTER zeichenblatt; 
    /**
     * Konstruktor für Objekte der Klasse Blatt
     */
    public Spielfeldbegrenzung(ZEICHENFENSTER zeichenblatt)
    {
        // Instanzvariable initialisieren
       zeichneBegrenzung(zeichenblatt);
    }

    /**
     * Methode zum Zeichnen eines Rechteck 
     * 
     * @param  y_recht    yPos der linken oberen Ecke des Rechtecks 
     * @param  x_recht    xPos der linken oberen Ecke des Rechtecks 
     * @param  b          Breite des Rechtecks
     * @param  h          Höhe des Rechtecks
     * @param  f_recht    Farbe des Rechtecks
     */
    
    public void zeichneBegrenzung(ZEICHENFENSTER zeichenblatt)
    { // Erzeugen eines Rechtecks
        rechteck1 = new Rechteck(0, 0, 1300, 40, 8);
        rechteck2 = new Rechteck(0, 860, 1300, 40, 8);
        // Zeichnen der Rechtecke
        zeichenblatt.fuelleRechteck(rechteck1.getxPos(), rechteck1.getyPos(), rechteck1.getbreite(), rechteck1.gethoehe(), rechteck1.getfarbe()); 
        zeichenblatt.fuelleRechteck(rechteck2.getxPos(), rechteck2.getyPos(), rechteck2.getbreite(), rechteck2.gethoehe(), rechteck2.getfarbe()); 
       
    }
}
