/**
 * Kartenfeld fr magische Informatik
 * zur Behandlung aller Routinen fr die Arbeit mit (Teil-)Kartensets
 * Implementierung als zwei-dimensionales Array
 * 
 * @author (Ulrich Kiesmller) 
 * @version (1.4)
 */
 
public class Kartenfeld
{
    // Variablen
    private Karte[][] feld = new Karte [3][7];

    /**
     * Konstruktor
     */
    public Kartenfeld()
    {
        // Initialisierung
        for (int i = 0; i < 3; i++)
        { 
            for (int j = 0; j < 7; j++)
            {
                feld[i][j] = new Karte("","");
            }
        }
    }

    /**
     * Methoden zur Kartenfeldbehandlung
     * erst allgemeine, dann trickspezifische
     */
    
    /**
     * Methode zum Befllen einer bestimmten Position des Kartenfeldes
     * mit einer bestimmten Karte k
     */    
    public void fuellenPos( )
    {
        feld[][] = k;
    }
    
    /**
     * Methode zum Auslesen einer Karte an einer bestimmten Position 
     * des Kartenfeldes
     */  
    public Karte gibPos(int xpos, int ypos)
    {
        return feld[xpos][ypos];
    }
    
    
    /**
     * Methode zum Aufnehmen einer Spalte des Kartenfeldes
     */  
    public Kartenstapel nimmSpalte(int x)
    {
        Kartenstapel hilfe = new Kartenstapel(7);
        for (int i = 0; i < 7 ; i++)
        {
            hilfe.setzeKarte(feld [x][i], i);
        }
        return hilfe;
    }
    
    /**
     * Methode zum Aufnehmen aller Spalten des Kartenfeldes
     * in einem Kartenstapel
     */ 
    public Karte[] verbindeSpalten(Karte[] sp1, Karte[] sp2, Karte[] sp3)
    {
        Karte[] hilfe = new Karte[21];
        for (int i = 0; i < 7 ; i++)
        {
            hilfe [i] = sp1[i];
        }
        for (int i = 7; i < 14 ; i++)
        {
            hilfe [i] = sp2[i-7];
        }
        for (int i = 14; i < 21 ; i++)
        {
            hilfe [i] = sp3[i-14];
        }
        return hilfe;
    }
    
    /**
     * Methode zum Fuellen des Kartenfeldes
     * aus einem gegebenen Kartenstapel st
     */
    public Kartenfeld fuellen(Kartenstapel st)
    {
        Kartenfeld temp = new Kartenfeld();
        
        return temp;
    }

    public void ausgeben()
    {
        
    }
}
